Subject: Kernel compiling problems

From: Stefan Hanske <[email-masked]>
Date: Mon, 17 Jan 2000 02:32:35 +0100 (MET)

Hi there,

I've got problems compiling kernels - they compile fine and start up
correctly but when init starts, I get s segfault from init and a register
dump ála:
INIT: version 2.74 booting
INIT: PANIC: segmentation violation! giving up...
Unable to handle kernel paging request at virtual address c100052c
pgd=c04a8000
*pgd=00000000, *pmd=00000000
Internal error: Oops: 2
CPU: 0
pc: [<c0019254>]        lr: [<c000f7c4>]
sp:  c0479f98   ip:  bffff98c   fp:  00000000
r10: 0205b454   r9:  0205b430   r8:  bffff998
r7:  c0fffc3c   r6:  4d9abb30   r5:  000d0000   r4:  e92dd8f0
r3:  c0479fd4   r2:  00001d25   r1:  8f000000   r0:  c100052c
Flags: nZcv   IRQs off   FIQs on   Mode SVC_32   Segment user
Control: EE133F10   Table: EB003774   DAC: EA00000B
Process init (pid:1, stackpage=c0479000)
Stack:
c0479f80:                   c000f7c4 c0019254 40000093 ffffffff 00000002
bffff998
c0479fa0: 00000000 00000008 00000002 bffffa18 00000006 0205b428 bffff998
0205b430
c0479fc0: 0205b454 bffffc00 bffff98c c100052c 02001548 02004408 20000010
ffffffff
c0479fe0: C000d6f8 c01f2ccc c01e5a84 c01e5ad0 c0179fe4 c047a000 c0011444
c000d708
Backtrace: no frame pointer
code: 70253d70 0000000a (e5904000) e1a029a4 e2022002

However, I can boot into a shell via init=/bin/bash at the kernel command
line.
When I try to execute any program from there by entering it's path/name at
the
command line, nothing happens. I can type in characters, but I can't stop
the process (not even via SYSREQ-I or similar).
I've added some code to fork() and execve() that issue some printk()s at
different points. The result is that the shell fork()s successfully but
execve() isn't called.
Kernels tried: v2.3.19 and up (to 2.3.39-rmk1)
Binutils: 2.9.1.0.23 (patched with some redhat patches for arm) and
          2.9.5.0.22 (unpatched)
gcc: 2.95.2 with patch from ftp.netwinder.org/users/p/philb)
System: RiscPC with ARM710, various kernel configurations
Build method: native and cross-compiled

Has anyone some hints what might me wrong??? Has anybody running v2.3.xx-
kernels on RiscPC with non-SA processor???

Tia.

Stefan

-- 

Sent through Global Message Exchange - http://www.gmx.net

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]